ping_construct(3)

NAME
ping_construct - Constructor for the liboping class

SYNOPSIS
  #include <oping.h>

  pingobj_t *ping_construct (void);
  void       ping_destroy   (pingobj_t *obj);

DESCRIPTION
The ping_construct constructor allocates the memory necessary for a liboping object, initializes that memory and returns a pointer to it.

The ping_destroy iterates over all hosts associated with the liboping object obj, closes the sockets, removes the hosts and frees obj's memory.

RETURN VALUE
The ping_construct constructor returns a pointer to the allocated memory or NULL if no memory could be allocated.

SEE ALSO
ping_setopt(3), ping_send(3), ping_host_add(3), ping_get_error(3), ping_iterator_get(3), liboping(3)

AUTHOR
liboping is written by Florian "octo" Forster <ff at octo.it>. Its homepage can be found at <http://noping.cc/>.

Copyright (c) 2006-2017 by Florian "octo" Forster.